## org.jfree.report.modules.misc.autotable
Class AutoTableCellContent

    java.lang.Object
      org.jfree.report.structure.Node
          org.jfree.report.structure.Element
              org.jfree.report.modules.misc.autotable.AutoTableCellContent

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable

    public class AutoTableCellContent

extends Element

Creation-Date: Dec 9, 2006, 8:23:38 PM

Author:
  Thomas Morgner
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.jfree.report.structure.Element
`ID_ATTRIBUTE, NAME_ATTRIBUTE, NAMESPACE_ATTRIBUTE, TYPE_ATTRIBUTE, VIRTUAL_ATTRIBUTE`

Constructor Summary
`AutoTableCellContent()`

Method Summary
`java.lang.String` `getItem()`

Methods inherited from class org.jfree.report.structure.Element

`addExpression, clone, getAttribute, getAttribute, getAttributeExpression, getAttributeExpression, getAttributeExpressionMap, getAttributeExpressions, getAttributeMap, getDisplayCondition, getExpressions, getId, getLocale, getLocaleFromAttributes, getName, getNamespace, getStyle, getStyleExpression, getStyleExpressions, getType, getVisibility, isEnabled, isVirtual, setAttribute, setAttribute, setAttributeExpression, setAttributeExpression, setDisplayCondition, setEnabled, setExpressions, setId, setName, setNamespace, setStyleExpression, setType, setVirtual, setVisibility`

Methods inherited from class org.jfree.report.structure.Node
`getGroup, getParent, getReport, getRootReport, setParent, updateParent`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AutoTableCellContent

    public AutoTableCellContent()

Method Detail

### getItem

    public java.lang.String getItem()